Bug 460593 - backport upstream kernel support for private futexes to RHEL 5.3 kernel
backport upstream kernel support for private futexes to RHEL 5.3 kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Peter Zijlstra
Martin Jenner
: FutureFeature
Depends On:
Blocks: 433353
  Show dependency treegraph
 
Reported: 2008-08-28 16:06 EDT by Clark Williams
Modified: 2014-08-11 01:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:03:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 47567 None None None Never

  None (edit)
Description Clark Williams 2008-08-28 16:06:34 EDT
Description of problem:
This is a request to backport the upstream kernel 'private futex' functionality to the RHEL5.3 kernel. Use of private futexes will decrease contention on the mmap_sem which is heavily contended in UDP/IP. 

Upstream Commit: 34f01cc1f512fa783302982776895c73714ebbc2

This is prerequisite for the existing bz 433353 (private futex support in GLIBC)
Comment 1 Linda Wang 2008-08-28 16:20:22 EDT
is the upstream checkin:

http://lisa.ines.ro/git/linux-2.6/commit/?id=34f01cc1f512fa783302982776895c73714ebbc2
Comment 2 Linda Wang 2008-08-28 16:43:22 EDT
Raise exception for the RT/Glibc team:

Please see bug 433353, comment#9 on why RHEL5 kernel needs to have this feature 
in in order to support glibc's changes, in term help RT product.
Comment 5 Don Zickus 2008-09-15 10:18:51 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Ryan Lerch 2008-11-04 21:58:58 EST
This bug (feature request) has been marked for inclusion in the Red Hat Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this is not the same as 'the feature request was fulfilled')
Comment 9 IBM Bug Proxy 2008-11-05 14:50:51 EST
(In reply to comment #4)
> ------- Comment From rlerch@redhat.com 2008-11-04 21:58:58 EDT-------
> This bug (feature request) has been marked for inclusion in the Red Hat
> Enterprise Linux 5.3 Release Notes.
>
> To aid in the development of relevant and accurate release notes, please fill
> out the "Release Notes" field above with the following 4 pieces of information:
>
> Cause:   What actions or circumstances induced the feature request.
>
> Consequence:  What action was inhibited by the feature's absence.
>
> Fix:   What was done to implement the feature.
>
> Result:  now happens when the actions or circumstances above occur. (NB: this
> is not the same as 'the feature request was fulfilled')
>

The private futex kernel components don't really provide any functional advantages without the user
level changes. And, it was my understanding that the glibc changes were rejected for RHEL5.3. Is this correct?
Comment 12 errata-xmlrpc 2009-01-20 15:03:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.